#' Early Magdalenian Engraved Bones
#'
#' A dataset of design elements in engraved bones from Cantabrian Spain.
#' @format A [`data.frame`] with 5 rows and 44 variables (designs).
#' @source
#'  Conkey, M. W. (1980). The Identification of prehistoric hunter-gatherer
#'  aggregation sites: The case of Altamira. \emph{Current Anthropology}, 21(5),
#'  609-630.
#'
#'  Kintigh, K. W. (1989). Sample Size, Significance, and Measures of
#'  Diversity. In Leonard, R. D. and Jones, G. T., *Quantifying Diversity
#'  in Archaeology*. New Directions in Archaeology. Cambridge:
#'  Cambridge University Press, p. 25-36.
#' @family datasets
#' @keywords datasets
"cantabria"

#' Pueblo IV Period Ceramics
#'
#' A dataset of ceramic counts from the Zuni region.
#' @format A [`data.frame`] with 9 rows and 5 variables (compositional groups).
#' @source
#'  Huntley, D. L. (2004). *Interaction, Boundaries, and Identities:
#'  A Multiscalar Approach to the Organizational Scale of Pueblo IV Zuni
#'  Society*. Ph.D. Dissertation, Arizona State University.
#'
#'  Huntley, D. L. (2022). *Ancestral Zuni Glaze-Decorated Pottery: Viewing
#'  Pueblo IV Regional Organization through Ceramic Production and Exchange*.
#'  Anthropological Papers of the University of Arizona 72. Tucson: University
#'  of Arizona Press. \doi{10.2307/j.ctv2ngx5n8}.
#' @family datasets
#' @keywords datasets
"pueblo"

#' Birds Species and Abundances
#'
#' A dataset of birds species and abundances in managed and unmanaged areas
#' along the River Wye (UK).
#' @format A [`data.frame`] with 2 rows and 26 variables (bird species).
#' @source
#'  Magurran, A. E. (1988). *Ecological Diversity and its Measurement*.
#'  Princeton, NJ: Princeton University Press.
#'  \doi{10.1007/978-94-015-7358-0}.
#' @family datasets
#' @keywords datasets
"aves"

#' Trees Incidences
#'
#' A dataset of presence or absence of trees in six (10 x 10 m) quadarts along
#' a transect through a deciduous woodland.
#' @format A [`data.frame`] with 6 rows (quadarts) and 6 variables (tree species).
#' @source
#'  Magurran, A. E. (1988). *Ecological Diversity and its Measurement*.
#'  Princeton, NJ: Princeton University Press.
#'  \doi{10.1007/978-94-015-7358-0}.
#' @family datasets
#' @keywords datasets
"woodland"
